LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XActivationEventListener Interface Referencepublished

makes it possible to receive events when the active spreadsheet changes. More...

`import"XActivationEventListener.idl";`

Inheritance diagram for XActivationEventListener:

## Public Member Functions
void | activeSpreadsheetChanged ([in] com::sun::star::sheet::ActivationEvent aEvent)
| is called whenever data or a selection changed. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to receive events when the active spreadsheet changes.

## Member Function Documentation

## ◆ activeSpreadsheetChanged()

void activeSpreadsheetChanged | ( | [in] com::sun::star::sheet::ActivationEvent | aEvent | ) |

is called whenever data or a selection changed.

This interface must be implemented by components that wish to get notified of changes of the active Spreadsheet. They can be registered at an XSpreadsheetViewEventProvider component.

Parameters

  aEvent | the event that gives further information on which Spreadsheet is active now.

See also
  ActivationEvent
  XSpreadsheetViewEventProvider

Since
  OOo 2.0

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XActivationEventListener.idl